Bug 98521 - make apm-script ACPI aware
make apm-script ACPI aware
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: apmd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-03 05:00 EDT by Ronny Bremer
Modified: 2015-03-04 20:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 16:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to make /etc/sysconfig/apm-scripts/apmscript ACPI aware (2.02 KB, patch)
2003-07-03 05:01 EDT, Ronny Bremer
no flags Details | Diff

  None (edit)
Description Ronny Bremer 2003-07-03 05:00:09 EDT
Description of problem:
today, the /etc/sysconfig/apm-scripts/apmscript uses "apm" to find out the 
state of the AC adaptor to be connected. This does not work on recent laptops 
who only have ACPI support built in.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. take an ACPI only laptop
2. run "apm"
3. get error msg about "no apm support in kernel"
4. this will break the apmscript
    
Actual results:
no change of CPU Frequency

Expected results:
should change the CPU Frequency

Additional info:
please find attached patch for apmscript
Comment 1 Ronny Bremer 2003-07-03 05:01:27 EDT
Created attachment 92733 [details]
patch to make /etc/sysconfig/apm-scripts/apmscript ACPI aware
Comment 2 Bill Nottingham 2003-07-03 11:48:15 EDT
But, if you're using ACPI, you wont get APM events, you can't suspend with APM, etc.

The long term solution is to have a single differnt script that multiplexes
events received from both systems.
Comment 3 Ronny Bremer 2003-07-03 14:55:54 EDT
Bill,

this is not entirely correct, as the ACPID will call a 
script /etc/apm/apm_proxy by default, if that is replaced with a call 
to /etc/sysconfig/apm-scripts/apmscript (which takes the same parameters btw), 
it will very well do all actions as outlined in the patch.

Of course, we could add a second script for ACPI only, but at the end, they 
will do the same (lock X, DMPS standby for the display, shutdown hard disks, 
eject/reinsert PCMCIA, stop sound programs, etc.) so I think it is better to 
have a single script as to maintain two.
Comment 4 Bill Nottingham 2003-07-07 15:33:11 EDT
Ugh, remove 'different' from my first comment, that's what I was trying to say.

I see no code in acpid that calls a proxy script, only in apmd.
Comment 5 Ronny Bremer 2003-07-08 03:38:21 EDT
Yeah, to be percise, acpid call various action scripts, based on its configuration. :) On their web page is a set of scripts, which call an apm proxy script by default... so, thatsvwhat I am referring to, sorry
Comment 6 Bill Nottingham 2003-07-08 12:01:53 EDT
Which webpage is that? Looking at the sourceforge acpid page, I don't see
anything like that.
Comment 7 Ronny Bremer 2003-07-21 05:44:30 EDT
I was on vacation, sorry for the late answer.

Here is the URL I got the scripts from. They are currently not (as you noticed)
included in the main acpid distribution, I was under the impression they where. 
http://ltswww.epfl.ch/~dsanta/resources/soft/acpid-events-0.2.tar.gz

Anyway, I think applying the patch still makes sense, as it can be used as a
common ground for APM/ACPI related events.

Just my 2 cents :)

Ronny
Comment 8 Ronny Bremer 2006-02-18 16:47:55 EST
no longer needed

Note You need to log in before you can comment on or make changes to this bug.